python-pyentropy_0.4.1-2_all.deb


Advertisement

Description

python-pyentropy - Python module for estimation information theoretic quantities

Property Value
Distribution Ubuntu 16.04 LTS (Xenial Xerus)
Repository Ubuntu Universe amd64
Package name python-pyentropy
Package version 0.4.1
Package release 2
Package architecture all
Package type deb
Installed size 91 B
Download size 19.03 KB
Official Mirror archive.ubuntu.com
A Python module for estimation of entropy and information theoretic
quantities using cutting edge bias correction methods, such as
* Panzeri-Treves (PT)
* Quadratic Extrapolation (QE)
* Nemenman-Shafee-Bialek (NSB)

Alternatives

Package Version Architecture Repository
python-pyentropy_0.4.1-2_all.deb 0.4.1 all Ubuntu Universe
python-pyentropy - - -

Requires

Name Value
python-numpy >= 1.3
python:any >= 2.7.5-5~
python:any << 2.8

Download

Type URL
Binary Package python-pyentropy_0.4.1-2_all.deb
Source Package pyentropy

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install python-pyentropy deb package:
    # sudo apt-get install python-pyentropy

Files

Path
/usr/lib/python2.7/dist-packages/pyentropy-0.4.1.egg-info
/usr/lib/python2.7/dist-packages/pyentropy/__init__.py
/usr/lib/python2.7/dist-packages/pyentropy/maxent.py
/usr/lib/python2.7/dist-packages/pyentropy/systems.py
/usr/lib/python2.7/dist-packages/pyentropy/utils.py
/usr/lib/python2.7/dist-packages/pyentropy/tests/__init__.py
/usr/lib/python2.7/dist-packages/pyentropy/tests/test_maxent.py
/usr/lib/python2.7/dist-packages/pyentropy/tests/test_systems.py
/usr/lib/python2.7/dist-packages/pyentropy/tests/test_utils.py
/usr/share/doc/python-pyentropy/changelog.Debian.gz
/usr/share/doc/python-pyentropy/copyright
/usr/share/doc/python-pyentropy/upstream/metadata

Changelog

2015-08-22 - Yaroslav Halchenko <debian@onerussian.com>
pyentropy (0.4.1-2) unstable; urgency=medium
* Deprecating use of python-support (Closes: #786154)
* Boosted policy to 3.9.6
2012-06-17 - Yaroslav Halchenko <debian@onerussian.com>
pyentropy (0.4.1-1) unstable; urgency=low
* New upstream release
- addressed issues fixed in 0.4-1.1 (patch dropped)
- addressed failed unittests (Closes: #671961)
* Debian package regenerated using git-import-dscs --debsnap
to not rely on a fragile git-svn bridge and since now upstream
moved over to GIT anyways
* debian/control
- Boosted policy to 3.9.3 (no changes)
- Added epoch 1: to numpy build-depends version
* debian/copyright: DEP5
* debian/upstream: to carry the bibliographic reference
2012-03-24 - Salvatore Bonaccorso <carnil@debian.org>
pyentropy (0.4-1.2) unstable; urgency=low
* Non-maintainer upload (with permission from Yaroslav Halchenko).
* Use temporary writable HOME during build.
Set override taget for dh_clean and adjust override target for
dh_auto_test. Create temporary writable home for build. This fixes FTBFS
on buildd setups. (Closes: #664940)
2011-08-15 - Jakub Wilk <jwilk@debian.org>
pyentropy (0.4-1.1) unstable; urgency=low
* Non-maintainer upload.
* Use multiplication operator rather then deprecated (and eventually
removed) matvec method (closes: #625154).
2011-01-24 - Yaroslav Halchenko <debian@onerussian.com>
pyentropy (0.4-1) unstable; urgency=low
* New upstream release
* Switched from cdbs to dh7
* Boosted policy to 3.9.1 (no changes)
* Added python-nose and python-scipy into *Depends
2009-02-10 - Yaroslav Halchenko <debian@onerussian.com>
pyentropy (0.3-1) unstable; urgency=low
* Initial release (Closes: #514754)
* Built based on svn revision 41 which corresponds to treeish
b1ce1c301cbcfef6bd11263d76b682d210dff877 in the packager's
repository

See Also

Package Description
python-pyepl-common_1.1.0+git12-g365f8e3-2build1_all.deb module for coding psychology experiments in Python
python-pyepl_1.1.0+git12-g365f8e3-2build1_amd64.deb module for coding psychology experiments in Python
python-pyevolve-doc_0.6~rc1+svn398+dfsg-7_all.deb documentation for the Pyevolve genetic algorithm framework
python-pyevolve_0.6~rc1+svn398+dfsg-7_all.deb complete genetic algorithm framework
python-pyexiv2-doc_0.3.2-5ubuntu4build2_all.deb Documentation for Python binding to Exiv2
python-pyexiv2_0.3.2-5ubuntu4build2_amd64.deb Python binding to Exiv2
python-pyface_4.5.2-1_all.deb traits-capable windowing framework
python-pyfai-doc_0.11.0+dfsg-3build1_all.deb Fast Azimuthal Integration scripts - Documentation
python-pyfai_0.11.0+dfsg-3build1_amd64.deb Fast Azimuthal Integration scripts - Python2
python-pyfaidx-examples_0.4.5.2-1_all.deb example data for efficient random access to fasta subsequences for Python
python-pyfaidx_0.4.5.2-1_all.deb efficient random access to fasta subsequences for Python
python-pyfann_1.0.7-4build1_amd64.deb deprecated Python bindings for FANN
python-pyfftw_0.10.1+dfsg1-1_amd64.deb Pythonic wrapper around FFTW - Python 2
python-pyfiglet_0.7.4+dfsg-2_all.deb Python port of the FIGlet specification
python-pyfits_3.4-1_amd64.deb Python module for reading, writing, and manipulating FITS files
Advertisement
Advertisement